<cfcomponent extends="farcry.farcry_core.packages.types.types" displayname="FAQ" hint="A frequently asked question and answer." bUseInTree=0 bCustomType=1>
<cfproperty name="label" type="nstring" hint="" required="no" default="">
<cfproperty name="aRelatedIDs" type="array" hint="Holds object pointers to related objects.  Can be of mixed types." required="no" default="">
<cfproperty name="question" type="longchar" hint="Question" required="no" default="">
<cfproperty name="answer" type="longchar" hint="Answer" required="no" default="">
<!------------------------------------------------------------------------
object methods 
------------------------------------------------------------------------->	
<cffunction name="edit" access="public" output="true">
	<cfargument name="objectid" required="yes" type="UUID">
	
	<!--- getData for object edit --->
	<cfset stObj = this.getData(arguments.objectid)>
	<cfinclude template="_bosFAQ/edit.cfm">
</cffunction>

<cffunction name="display" access="public" output="true">
	<cfargument name="objectid" required="yes" type="UUID">
	
	<!--- getData for object edit --->
	<cfset stObj = this.getData(arguments.objectid)>
	<cfinclude template="_dmhtml/display.cfm">
</cffunction>

<cffunction name="delete" access="public" output="false">
	<cfargument name="objectid" required="yes" type="uuid">
	<cfargument name="dsn" required="no" default="#application.dsn#">
	<cfargument name="dbowner" required="no" default="#application.dbowner#">
	<cfset deleteRelatedIds(
		objectid = arguments.objectid,
		dsn = arguments.dsn,
		dbowner = arguments.dbowner) />
	<cfset super.delete(
		arguments.objectid,
		arguments.dsn,
		arguments.dbowner) />
</cffunction>

<cffunction name="deleteRelatedIds" hint="Deletes references to a given uuid in the dmHTML_relatedIds table">
	<cfargument name="objectid" required="yes" type="uuid">
	<cfargument name="dsn" required="no" default="#application.dsn#">
	<cfargument name="dbowner" required="no" default="#application.dbowner#">
	
	<cfset var q = ''>
	<cfquery name="q" datasource="#arguments.dsn#">
		DELETE FROM #application.dbowner#bosFAQ_aRelatedIDs
		WHERE objectid = '#arguments.objectid#'
	</cfquery>
	
</cffunction>

</cfcomponent>

